Package it.ernytech.tdlib

## Class TdApi.ChatMemberStatusRestricted

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatMemberStatus
    - - it.ernytech.tdlib.TdApi.ChatMemberStatusRestricted

Enclosing class:
  TdApi

    public static class TdApi.ChatMemberStatusRestricted
    extends TdApi.ChatMemberStatus

The user is under certain restrictions in the chat. Not supported in basic groups and channels.

### Field Summary

Fields
`boolean` `canAddWebPagePreviews` True, if the user may add a web page preview to his messages.
`boolean` `canSendMediaMessages` True, if the user can send audio files, documents, photos, videos, video notes, and voice notes.
`boolean` `canSendMessages` True, if the user can send text messages, contacts, locations, and venues.
`boolean` `canSendOtherMessages` True, if the user can send animations, games, and stickers and use inline bots.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isMember` True, if the user is a member of the chat.
`int` `restrictedUntilDate` Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never.

### Constructor Summary

Constructors
`ChatMemberStatusRestricted()` Default constructor.
`ChatMemberStatusRestricted​(boolean isMember, int restrictedUntilDate, boolean canSendMessages, boolean canSendMediaMessages, boolean canSendOtherMessages, boolean canAddWebPagePreviews)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isMember

    public boolean isMember

True, if the user is a member of the chat.

#### restrictedUntilDate

    public int restrictedUntilDate

Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never. If the user is restricted for more than 366 days or for less than 30 seconds from the current time, the user is considered to be restricted forever.

#### canSendMessages

    public boolean canSendMessages

True, if the user can send text messages, contacts, locations, and venues.

#### canSendMediaMessages

    public boolean canSendMediaMessages

True, if the user can send audio files, documents, photos, videos, video notes, and voice notes. Implies canSendMessages permissions.

#### canSendOtherMessages

    public boolean canSendOtherMessages

True, if the user can send animations, games, and stickers and use inline bots. Implies canSendMediaMessages permissions.

#### canAddWebPagePreviews

    public boolean canAddWebPagePreviews

True, if the user may add a web page preview to his messages. Implies canSendMessages permissions.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatMemberStatusRestricted

    public ChatMemberStatusRestricted()

Default constructor.

#### ChatMemberStatusRestricted

    public ChatMemberStatusRestricted​(boolean isMember,
                                      int restrictedUntilDate,
                                      boolean canSendMessages,
                                      boolean canSendMediaMessages,
                                      boolean canSendOtherMessages,
                                      boolean canAddWebPagePreviews)

Constructor for initialization of all fields.

Parameters:
  `isMember` - True, if the user is a member of the chat.
  `restrictedUntilDate` - Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never. If the user is restricted for more than 366 days or for less than 30 seconds from the current time, the user is considered to be restricted forever.
  `canSendMessages` - True, if the user can send text messages, contacts, locations, and venues.
  `canSendMediaMessages` - True, if the user can send audio files, documents, photos, videos, video notes, and voice notes. Implies canSendMessages permissions.
  `canSendOtherMessages` - True, if the user can send animations, games, and stickers and use inline bots. Implies canSendMediaMessages permissions.
  `canAddWebPagePreviews` - True, if the user may add a web page preview to his messages. Implies canSendMessages permissions.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR